> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletconnect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a crypto settlement destination

> Change the destination wallet for an existing crypto settlement. The new `destination` must be a [CAIP-10](https://chainagnostic.org/CAIPs/caip-10) account on the same chain as the settlement's `asset`.



## OpenAPI

````yaml api/2026-02-18.json PUT /v1/merchants/{merchantId}/settlements/crypto/{id}
openapi: 3.1.0
info:
  title: WalletConnect Pay API
  version: '2026-02-18'
servers:
  - url: https://api.pay.walletconnect.com
security:
  - API Key: []
  - ApiKey: []
  - AppId: []
tags:
  - name: Gateway
  - name: Payments
  - name: Refunds
  - name: Merchant Management
  - name: Settlements
  - name: Crypto Settlement
paths:
  /v1/merchants/{merchantId}/settlements/crypto/{id}:
    put:
      tags:
        - Crypto Settlement
      summary: Update a crypto settlement destination
      description: >-
        Change the destination wallet for an existing crypto settlement. The new
        `destination` must be a
        [CAIP-10](https://chainagnostic.org/CAIPs/caip-10) account on the same
        chain as the settlement's `asset`.
      operationId: CryptoSettlement_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            minLength: 1
            maxLength: 256
            examples:
              - crypto_Xk7nWp8XmQj2YrTv6
          required: true
          description: Crypto settlement ID
        - schema:
            type: string
          in: path
          name: merchantId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                destination:
                  type: string
                  minLength: 1
                  maxLength: 256
                  pattern: ^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}:[-a-zA-Z0-9]{1,128}$
                  description: >-
                    [CAIP-10](https://chainagnostic.org/CAIPs/caip-10) account
                    identifier for the wallet that should receive the settled
                    funds. Format: `<namespace>:<chain_reference>:<address>`.
                    The chain (`<namespace>:<chain_reference>`) must match the
                    chain of the corresponding `asset`.
                  examples:
                    - eip155:8453:0x1234567890abcdef1234567890abcdef12345678
              required:
                - destination
              examples:
                - destination: eip155:8453:0x1234567890abcdef1234567890abcdef12345678
      responses:
        '200':
          description: Settlement updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Crypto settlement ID
                    examples:
                      - crypto_Xk7nWp8XmQj2YrTv6
                  asset:
                    type: string
                    minLength: 1
                    maxLength: 256
                    pattern: >-
                      ^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}\/[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,128}$
                    description: >-
                      [CAIP-19](https://chainagnostic.org/CAIPs/caip-19) asset
                      identifier for the token to settle in. Format:
                      `<namespace>:<chain_reference>/<asset_namespace>:<asset_reference>`.
                      For example, USDC on Base is
                      `eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913`.
                    examples:
                      - >-
                        eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913
                  destination:
                    type: string
                    minLength: 1
                    maxLength: 256
                    pattern: ^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}:[-a-zA-Z0-9]{1,128}$
                    description: >-
                      [CAIP-10](https://chainagnostic.org/CAIPs/caip-10) account
                      identifier for the wallet that should receive the settled
                      funds. Format: `<namespace>:<chain_reference>:<address>`.
                      The chain (`<namespace>:<chain_reference>`) must match the
                      chain of the corresponding `asset`.
                    examples:
                      - eip155:8453:0x1234567890abcdef1234567890abcdef12345678
                required:
                  - id
                  - asset
                  - destination
              example:
                id: crypto_Xk7nWp8XmQj2YrTv6
                asset: eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913
                destination: eip155:8453:0x1234567890abcdef1234567890abcdef12345678
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable error message
                  code:
                    type: string
                    enum:
                      - params_validation
                      - invalid_params
                    description: Machine-readable error code
                  details:
                    description: Additional structured error details
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  issues:
                    type: array
                    description: >-
                      Field-level validation issues (present on validation
                      errors)
                    items:
                      type: object
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                required:
                  - message
                  - code
              examples:
                params_validation:
                  summary: Validation failed
                  value:
                    code: params_validation
                    message: Validation failed
                invalid_params:
                  summary: Invalid request parameters
                  value:
                    code: invalid_params
                    message: Invalid request parameters
        '404':
          description: Settlement not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Human-readable error message
                  code:
                    type: string
                    const: not_found
                    description: Machine-readable error code
                  details:
                    description: Additional structured error details
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                required:
                  - message
                  - code
              examples:
                not_found:
                  summary: Not Found
                  value:
                    code: not_found
                    message: Not Found
components:
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: Api-Key
    ApiKey:
      type: apiKey
      in: header
      name: Api-Key
      description: Private API key for wallet authentication
    AppId:
      type: apiKey
      in: header
      name: App-Id
      description: >-
        Public App ID for wallet authentication. When using this auth mode, the
        Client-Id header is also required.

````